## org.eclipse.ocl.expressions
Interface TypeExp<C>

All Superinterfaces:
  ASTNode, EObject, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  TypeExp

All Known Implementing Classes:
  TypeExpImpl, TypeExpImpl

    public interface TypeExp<C>

extends OCLExpression<C>

A representation of the model object 'Type Exp'.

The following features are supported:

- `Referred Type`

See Also:
  `ExpressionsPackage.getTypeExp()`

Method Summary
`C` `getReferredType()` Returns the value of the 'Referred Type' reference
`void` `setReferredType(C value)` Sets the value of the '`Referred Type`' reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferredType

    C getReferredType()

  Returns the value of the 'Referred Type' reference.

  If the meaning of the 'Referred Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Type' reference.
  See Also:
    `setReferredType(Object)`, `ExpressionsPackage.getTypeExp_ReferredType()`

### setReferredType

    void setReferredType(C value)

  Sets the value of the '`Referred Type`' reference.

  Parameters:
    `value` - the new value of the 'Referred Type' reference.
  See Also:
    `getReferredType()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.